#ifndef CRFEPURAS399XREGISTERTABLE_H
#define CRFEPURAS399XREGISTERTABLE_H

#include "../../ui/TabWidget.h"
#include "../../ui/ConfigDialog.h"
#include <ui_CRfePurAS399XRegisterTable.h>

class QStandardItemModel;
class QrfeRfePurReader;

class CRfePurAS399XRegisterTable : public ReaderTabWidget, ConfigDialog
{
    Q_OBJECT

public:
    CRfePurAS399XRegisterTable(QTextEdit* infoEdit, QWidget* parent);
    ~CRfePurAS399XRegisterTable();

	virtual bool init(QrfeReaderInterface* reader);
	virtual void deinit();
	virtual void activated();

private slots:
	void readAS399xRegister();
	void clearRegisterTable ( );


private:
    QrfeRfePurReader* 		m_reader;

 	QStandardItemModel*		m_as399xRegisterModel;

    Ui::CRfePurAS399XRegisterTableClass ui;
};

#endif // CRFEPURAS399XREGISTERTABLE_H
